Delete Isolation Segment
Delete an isolation segment
An isolation segment cannot be deleted if it is entitled to any organization.
Request
URI
DELETE
https://api.example.local/v3/isolation_segments/{guid}
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
204
No Content
Operation doesn't return any data structure
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
500
Internal Server Error
Returns
500
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/v3/isolation_segments/{guid}
Isolation Segments Operations
GET
List Isolation Segments
POST
Create Isolation Segment
GET
Get Isolation Segment
PATCH
Update Isolation Segment
DELETE
Delete Isolation Segment
POST
Entitle Organizations For Isolation Segment
GET
List Organizations For Isolation Segment
DELETE
Revoke Isolation Segment For Organization
GET
List Spaces For Isolation Segment